package com.zioinfo.signage.mapper;

import com.zioinfo.signage.domain.TemplateVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import java.util.List;

@Mapper
public interface TemplateMapper {
    List<TemplateVo> findAll(@Param("tenantCode") String tenantCode,
                              @Param("templateType") String templateType);
    TemplateVo findById(@Param("id") Long id);
    int insert(TemplateVo template);
    int update(TemplateVo template);
    int delete(@Param("id") Long id);
}
